Bug 429299 - missing "Encrypt LV" checkbox when creating LVs
missing "Encrypt LV" checkbox when creating LVs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 11:17 EST by Charles R. Anderson
Modified: 2008-04-04 11:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-11.4.0.59-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 11:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-01-18 11:17:58 EST
Description of problem:
When creating LVs, there should be a checkbox to enable Encryption, but it is
missing.  The encryption checkbox is there for PVs and also when creating
regular partitions/filesystems, but not for LVs.

Version-Release number of selected component (if applicable):
11.4.0.21

How reproducible:
always

Steps to Reproduce:
1. Custom partitioning
2. Create PVs or reuse existing ones
3. Click LVM, add LVs
Comment 1 David Lehman 2008-01-18 11:37:44 EST
This is intentional. We currently support encryption of PVs, but not LVs.
Comment 2 David Lehman 2008-01-18 14:07:52 EST
Having said that, we do plan on adding the support. It's just that I knew it
wouldn't be there to begin with.
Comment 3 Tim Niemueller 2008-02-08 04:49:39 EST
Did you use the patch from bug #124789? That supports encrypted LVs (using it
here). Or is that just an anaconda thing that this cannot be created, but used
afterwards?
Comment 4 David Lehman 2008-04-04 11:59:09 EDT
As of anaconda-11.4.0.59-1 you should be able to actually create encrypted
logical volumes. Corresponding support should be present in mkinitrd.

Note You need to log in before you can comment on or make changes to this bug.